package kr.co.compcareworker.Data.PlanDetail;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

import kr.co.compcareworker.Data.PlanDetail.WorkImg.AfterImageData;
import kr.co.compcareworker.Data.PlanDetail.WorkImg.WorkImgData;

public class WorkData {
    @SerializedName("wo_idx")
    @Expose
    private String woIdx;
    @SerializedName("wo_code")
    @Expose
    private String woCode;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("wo_type")
    @Expose
    private String woType;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("cp_name")
    @Expose
    private String cpName;
    @SerializedName("cp_airline")
    @Expose
    private String cpAirline;
    @SerializedName("cp_zip")
    @Expose
    private Object cpZip;
    @SerializedName("cp_addr")
    @Expose
    private String cpAddr;
    @SerializedName("wo_product_idx")
    @Expose
    private Object woProductIdx;
    @SerializedName("wo_product_gu")
    @Expose
    private Object woProductGu;
    @SerializedName("wo_product_name")
    @Expose
    private Object woProductName;
    @SerializedName("ins_dt")
    @Expose
    private String insDt;
    @SerializedName("ins_type")
    @Expose
    private String insType;
    @SerializedName("wo_calldt")
    @Expose
    private String woCalldt;
    @SerializedName("wo_sucdt")
    @Expose
    private String woSucdt;
    @SerializedName("writer_id")
    @Expose
    private String writerId;
    @SerializedName("wo_memo")
    @Expose
    private String woMemo;
    @SerializedName("wo_memo_orders")
    @Expose
    private Object woMemoOrders;
    @SerializedName("wo_memo_report")
    @Expose
    private Object woMemoReport;
    @SerializedName("wo_worker_id")
    @Expose
    private String woWorkerId;
    @SerializedName("wo_worker_name")
    @Expose
    private String woWorkerName;
    @SerializedName("wo_memotype")
    @Expose
    private Object woMemotype;
    @SerializedName("wo_status")
    @Expose
    private String woStatus;
    @SerializedName("wo_time")
    @Expose
    private Object woTime;
    @SerializedName("wo_temperature")
    @Expose
    private Object woTemperature;
    @SerializedName("wo_volt")
    @Expose
    private Object woVolt;
    @SerializedName("wo_oil")
    @Expose
    private Object woOil;
    @SerializedName("wo_oil_leakage")
    @Expose
    private Object woOilLeakage;
    @SerializedName("cu_name")
    @Expose
    private String cuName;
    @SerializedName("cu_code")
    @Expose
    private String cuCode;
    @SerializedName("cu_type")
    @Expose
    private Object cuType;
    @SerializedName("cu_ceo")
    @Expose
    private String cuCeo;
    @SerializedName("cu_tel")
    @Expose
    private String cuTel;
    @SerializedName("cu_email")
    @Expose
    private Object cuEmail;
    @SerializedName("cu_man")
    @Expose
    private Object cuMan;
    @SerializedName("cu_hp")
    @Expose
    private Object cuHp;
    @SerializedName("cu_running")
    @Expose
    private Object cuRunning;
    @SerializedName("cu_zip")
    @Expose
    private String cuZip;
    @SerializedName("cu_addr")
    @Expose
    private String cuAddr;
    @SerializedName("cu_mapx")
    @Expose
    private String cuMapx;
    @SerializedName("cu_mapy")
    @Expose
    private String cuMapy;
    @SerializedName("wo_man")
    @Expose
    private String woMan;
    @SerializedName("wo_tel")
    @Expose
    private String woTel;
    @SerializedName("wo_worker_check")
    @Expose
    private String woWorkerCheck;
    @SerializedName("wo_calldt_day")
    @Expose
    private String woCalldtDay;
    @SerializedName("wo_calldt_time")
    @Expose
    private String woCalldtTime;
    @SerializedName("is_worker")
    @Expose
    private String isWorker;
    @SerializedName("worker_data")
    @Expose
    private List<Object> workerData = null;
    @SerializedName("pt_name")
    @Expose
    private String ptName;
    @SerializedName("wo_sucdt_str")
    @Expose
    private String woSucdtStr;
    @SerializedName("wo_sucdt_day")
    @Expose
    private String woSucdtDay;
    @SerializedName("wo_sucdt_time")
    @Expose
    private String woSucdtTime;
    @SerializedName("wo_type_str")
    @Expose
    private String woTypeStr;
    @SerializedName("wo_status_str")
    @Expose
    private String woStatusStr;
    @SerializedName("ins_type_str")
    @Expose
    private String insTypeStr;
    @SerializedName("file_data")
    @Expose
    private List<WorkImgData> fileData;
    @SerializedName("file_data_before")
    @Expose
    private List<WorkImgData> fileDataBefore;
    @SerializedName("file_data_after")
    @Expose
    private List<AfterImageData> fileDataAfter;
    @SerializedName("pt_sellok_money")
    @Expose
    private String ptSellokMoney;
    @SerializedName("pt_sellwill_money")
    @Expose
    private String ptSellwillMoney;
    @SerializedName("pt_sell_money")
    @Expose
    private String ptSellMoney;
    @SerializedName("pt_addr_sub")
    @Expose
    private String ptAddrSub;
    @SerializedName("pt_man_sub")
    @Expose
    private String ptManSub;
    @SerializedName("pt_memo")
    @Expose
    private String ptMemo;
    @SerializedName("cp_addr_sub")
    @Expose
    private String cpAddrSub;

    @SerializedName("cp_mapx")
    @Expose
    private Double cpMapx;

    @SerializedName("cp_mapy")
    @Expose
    private Double cpMapy;

    @SerializedName("wo_iot_mac")
    @Expose
    private String woIotMac;

    public String getCpAddrSub() {
        return cpAddrSub;
    }

    public void setCpAddrSub(String cpAddrSub) {
        this.cpAddrSub = cpAddrSub;
    }

    public String getPtAddrSub() {
        return ptAddrSub;
    }

    public void setPtAddrSub(String ptAddrSub) {
        this.ptAddrSub = ptAddrSub;
    }

    public String getPtManSub() {
        return ptManSub;
    }

    public void setPtManSub(String ptManSub) {
        this.ptManSub = ptManSub;
    }

    public String getWoWorkerCheck() {
        return woWorkerCheck;
    }

    public void setWoWorkerCheck(String woWorkerCheck) {
        this.woWorkerCheck = woWorkerCheck;
    }

    public String getPtSellokMoney() {
        return ptSellokMoney;
    }

    public void setPtSellokMoney(String ptSellokMoney) {
        this.ptSellokMoney = ptSellokMoney;
    }

    public String getPtSellwillMoney() {
        return ptSellwillMoney;
    }

    public void setPtSellwillMoney(String ptSellwillMoney) {
        this.ptSellwillMoney = ptSellwillMoney;
    }

    public String getPtSellMoney() {
        return ptSellMoney;
    }

    public void setPtSellMoney(String ptSellMoney) {
        this.ptSellMoney = ptSellMoney;
    }

    public String getWoIdx() {
        return woIdx;
    }

    public void setWoIdx(String woIdx) {
        this.woIdx = woIdx;
    }

    public String getWoCode() {
        return woCode;
    }

    public void setWoCode(String woCode) {
        this.woCode = woCode;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getWoType() {
        return woType;
    }

    public void setWoType(String woType) {
        this.woType = woType;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getCpName() {
        return cpName;
    }

    public void setCpName(String cpName) {
        this.cpName = cpName;
    }

    public String getCpAirline() {
        return cpAirline;
    }

    public void setCpAirline(String cpAirline) {
        this.cpAirline = cpAirline;
    }

    public Object getCpZip() {
        return cpZip;
    }

    public void setCpZip(Object cpZip) {
        this.cpZip = cpZip;
    }

    public String getCpAddr() {
        return cpAddr;
    }

    public void setCpAddr(String cpAddr) {
        this.cpAddr = cpAddr;
    }

    public Object getWoProductIdx() {
        return woProductIdx;
    }

    public void setWoProductIdx(Object woProductIdx) {
        this.woProductIdx = woProductIdx;
    }

    public Object getWoProductGu() {
        return woProductGu;
    }

    public void setWoProductGu(Object woProductGu) {
        this.woProductGu = woProductGu;
    }

    public Object getWoProductName() {
        return woProductName;
    }

    public void setWoProductName(Object woProductName) {
        this.woProductName = woProductName;
    }

    public String getInsDt() {
        return insDt;
    }

    public void setInsDt(String insDt) {
        this.insDt = insDt;
    }

    public String getInsType() {
        return insType;
    }

    public void setInsType(String insType) {
        this.insType = insType;
    }

    public String getWoCalldt() {
        return woCalldt;
    }

    public void setWoCalldt(String woCalldt) {
        this.woCalldt = woCalldt;
    }

    public String getWoSucdt() {
        return woSucdt;
    }

    public void setWoSucdt(String woSucdt) {
        this.woSucdt = woSucdt;
    }

    public String getWriterId() {
        return writerId;
    }

    public void setWriterId(String writerId) {
        this.writerId = writerId;
    }

    public String getWoMemo() {
        return woMemo;
    }

    public void setWoMemo(String woMemo) {
        this.woMemo = woMemo;
    }

    public Object getWoMemoOrders() {
        return woMemoOrders;
    }

    public void setWoMemoOrders(Object woMemoOrders) {
        this.woMemoOrders = woMemoOrders;
    }

    public Object getWoMemoReport() {
        return woMemoReport;
    }

    public void setWoMemoReport(Object woMemoReport) {
        this.woMemoReport = woMemoReport;
    }

    public String getWoWorkerId() {
        return woWorkerId;
    }

    public void setWoWorkerId(String woWorkerId) {
        this.woWorkerId = woWorkerId;
    }

    public String getWoWorkerName() {
        return woWorkerName;
    }

    public void setWoWorkerName(String woWorkerName) {
        this.woWorkerName = woWorkerName;
    }

    public Object getWoMemotype() {
        return woMemotype;
    }

    public void setWoMemotype(Object woMemotype) {
        this.woMemotype = woMemotype;
    }

    public String getWoStatus() {
        return woStatus;
    }

    public void setWoStatus(String woStatus) {
        this.woStatus = woStatus;
    }

    public Object getWoTime() {
        return woTime;
    }

    public void setWoTime(Object woTime) {
        this.woTime = woTime;
    }

    public Object getWoTemperature() {
        return woTemperature;
    }

    public void setWoTemperature(Object woTemperature) {
        this.woTemperature = woTemperature;
    }

    public Object getWoVolt() {
        return woVolt;
    }

    public void setWoVolt(Object woVolt) {
        this.woVolt = woVolt;
    }

    public Object getWoOil() {
        return woOil;
    }

    public void setWoOil(Object woOil) {
        this.woOil = woOil;
    }

    public Object getWoOilLeakage() {
        return woOilLeakage;
    }

    public void setWoOilLeakage(Object woOilLeakage) {
        this.woOilLeakage = woOilLeakage;
    }

    public String getCuName() {
        return cuName;
    }

    public void setCuName(String cuName) {
        this.cuName = cuName;
    }

    public String getCuCode() {
        return cuCode;
    }

    public void setCuCode(String cuCode) {
        this.cuCode = cuCode;
    }

    public Object getCuType() {
        return cuType;
    }

    public void setCuType(Object cuType) {
        this.cuType = cuType;
    }

    public String getCuCeo() {
        return cuCeo;
    }

    public void setCuCeo(String cuCeo) {
        this.cuCeo = cuCeo;
    }

    public String getCuTel() {
        return cuTel;
    }

    public void setCuTel(String cuTel) {
        this.cuTel = cuTel;
    }

    public Object getCuEmail() {
        return cuEmail;
    }

    public void setCuEmail(Object cuEmail) {
        this.cuEmail = cuEmail;
    }

    public Object getCuMan() {
        return cuMan;
    }

    public void setCuMan(Object cuMan) {
        this.cuMan = cuMan;
    }

    public Object getCuHp() {
        return cuHp;
    }

    public void setCuHp(Object cuHp) {
        this.cuHp = cuHp;
    }

    public Object getCuRunning() {
        return cuRunning;
    }

    public void setCuRunning(Object cuRunning) {
        this.cuRunning = cuRunning;
    }

    public String getCuZip() {
        return cuZip;
    }

    public void setCuZip(String cuZip) {
        this.cuZip = cuZip;
    }

    public String getCuAddr() {
        return cuAddr;
    }

    public void setCuAddr(String cuAddr) {
        this.cuAddr = cuAddr;
    }

    public String getCuMapx() {
        return cuMapx;
    }

    public void setCuMapx(String cuMapx) {
        this.cuMapx = cuMapx;
    }

    public String getCuMapy() {
        return cuMapy;
    }

    public void setCuMapy(String cuMapy) {
        this.cuMapy = cuMapy;
    }

    public String getWoMan() {
        return woMan;
    }

    public void setWoMan(String woMan) {
        this.woMan = woMan;
    }

    public String getWoTel() {
        return woTel;
    }

    public void setWoTel(String woTel) {
        this.woTel = woTel;
    }

    public String getWoCalldtDay() {
        return woCalldtDay;
    }

    public void setWoCalldtDay(String woCalldtDay) {
        this.woCalldtDay = woCalldtDay;
    }

    public String getWoCalldtTime() {
        return woCalldtTime;
    }

    public void setWoCalldtTime(String woCalldtTime) {
        this.woCalldtTime = woCalldtTime;
    }

    public String getIsWorker() {
        return isWorker;
    }

    public void setIsWorker(String isWorker) {
        this.isWorker = isWorker;
    }

    public List<Object> getWorkerData() {
        return workerData;
    }

    public void setWorkerData(List<Object> workerData) {
        this.workerData = workerData;
    }

    public String getPtName() {
        return ptName;
    }

    public void setPtName(String ptName) {
        this.ptName = ptName;
    }

    public String getWoSucdtStr() {
        return woSucdtStr;
    }

    public void setWoSucdtStr(String woSucdtStr) {
        this.woSucdtStr = woSucdtStr;
    }

    public String getWoSucdtDay() {
        return woSucdtDay;
    }

    public void setWoSucdtDay(String woSucdtDay) {
        this.woSucdtDay = woSucdtDay;
    }

    public String getWoSucdtTime() {
        return woSucdtTime;
    }

    public void setWoSucdtTime(String woSucdtTime) {
        this.woSucdtTime = woSucdtTime;
    }

    public String getWoTypeStr() {
        return woTypeStr;
    }

    public void setWoTypeStr(String woTypeStr) {
        this.woTypeStr = woTypeStr;
    }

    public String getWoStatusStr() {
        return woStatusStr;
    }

    public void setWoStatusStr(String woStatusStr) {
        this.woStatusStr = woStatusStr;
    }

    public String getInsTypeStr() {
        return insTypeStr;
    }

    public void setInsTypeStr(String insTypeStr) {
        this.insTypeStr = insTypeStr;
    }

    public List<WorkImgData> getFileData() {
        return fileData;
    }

    public void setFileData(List<WorkImgData> fileData) {
        this.fileData = fileData;
    }

    public List<WorkImgData> getFileDataBefore() {
        return fileDataBefore;
    }

    public void setFileDataBefore(List<WorkImgData> fileDataBefore) {
        this.fileDataBefore = fileDataBefore;
    }

    public List<AfterImageData> getFileDataAfter() {
        return fileDataAfter;
    }

    public void setFileDataAfter(List<AfterImageData> fileDataAfter) {
        this.fileDataAfter = fileDataAfter;
    }

    public String getPtMemo() {
        return ptMemo;
    }

    public Double getCpMapx() {
        return cpMapx;
    }

    public Double getCpMapy() {
        return cpMapy;
    }

    public String getWoIotMac() {
        return woIotMac;
    }
}
